
/*
     this file contains general constant and macro definitions 
*/

/* all macros dealing with stretching and connections are change #1 - harry */

#define  BEGINING            1
#define  NOT_BEGIN           0
#define  LEFT_TO_RIGHT       1
#define  RIGHT_TO_LEFT       0
#define  END                 1
#define  NOT_END             0
#define  TRUE                1
#define  FALSE               0
#define  NOFILLERS  	     0
#define  NOSTRETCH           0
#define  ARABIC		     1

/* The following 2 groups of macros are change #2 */

#define FONT_NO_STRETCH      0
#define FONT_LETT_STRETCH    1
#define FONT_CONN_STRETCH    2

#define FIXED_FILLER            0
#define STRETCHABLE_FILLER      1
#define STRETCHABLE_CONNECTIONS 2

#define  STRETCHABLE         'S'
#define  NOTSTRETCHABLE      'N'

#define  STANDALONE          'N'
#define  CONNECTAFTER        'A'
#define  CONNECTPREVIOUS     'P'
#define  CONNECTBOTH         'B' 
#define  UNCONNECTED         'U'

#define  DUMP_LEX(TOKN)      printf("%s\n",TOKN)
#define  SET_DIRECTION(FNUM,DIR)  direction_table[FNUM] = DIR
#define  FONT_DIRECTION(FNUM)     direction_table[FNUM]
#define  SET_AR_FONT(FNUM)        arabic_fonts[FNUM] = TRUE
#define  RESET_AR_FONT(FNUM)      arabic_fonts[FNUM] = FALSE
